Activate <mapframe> in eswiki
Closed, ResolvedPublic

Description

Please activate the <mapframe> label in eswiki.

The community consensus and discussion is here:

https://es.wikipedia.org/wiki/Wikipedia:Encuestas/2017/Mapas_dinámicos

Lsanabria created this task.Oct 7 2017, 1:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 7 2017, 1:33 PM
Lsanabria updated the task description. (Show Details)Oct 7 2017, 1:34 PM
Lsanabria renamed this task from Activate <mapframe>in eswiki to Activate <mapframe> in eswiki.Oct 7 2017, 1:49 PM
Galopax added a subscriber: Galopax.Oct 7 2017, 5:18 PM
Jayprakash12345 moved this task from Backlog to Working on on the Wikimedia-Site-requests board.

Change 382988 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[operations/mediawiki-config@master] Enable mapframe on eswiki

https://gerrit.wikimedia.org/r/382988

Zoranzoki21 added a subscriber: Zoranzoki21.

Scheduled for deploy in European Mid-day SWAT between 13:00-14:00 UTC at Monday.

Scheduled for deploy in European Mid-day SWAT between 13:00-14:00 UTC at Monday.

T161032#3122172 comes to my mind. Not sure if the Maps maintainers want to provide some feedback before deployment.

-jem- added a subscriber: -jem-.Oct 9 2017, 11:45 AM

Hi @Aklapper, thanks for the heads-up here. We've been following the discussion for mapframe to be enabled on eswiki over the last several weeks along with the discussion on enwiki and their corresponding ticket T175102. If the Spanish community wants to enable mapframe on their site, we'd prefer it to be done while the Maps team isn't on holiday (i.e.: today, Oct 9, 2017), but to be done while the full team is available to test the deployment and rollback if necessary.

@Zoranzoki21: would you be ok with deploying this tomorrow during EU mid-day SWAT when the full Maps team can be available to test and rollback the deployment (if necessary)?

Gehel added a subscriber: Gehel.Oct 9 2017, 3:17 PM

@Zoranzoki21: would you be ok with deploying this tomorrow during EU mid-day SWAT when the full Maps team can be available to test and rollback the deployment (if necessary)?

Added

debt triaged this task as Normal priority.
debt moved this task from Backlog to In progress on the Maps-Sprint board.

@Zoranzoki21: would you be ok with deploying this tomorrow during EU mid-day SWAT when the full Maps team can be available to test and rollback the deployment (if necessary)?

Added

Thanks for your patience!
note: this is scheduled for deployment on Wednesday, Oct 11 during EU SWAT

Change 382988 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable mapframe on eswiki

https://gerrit.wikimedia.org/r/382988

Mentioned in SAL (#wikimedia-operations) [2017-10-11T13:27:30Z] <hashar@tin> Synchronized wmf-config/InitialiseSettings.php: Enable mapframe on eswiki - T177695 (duration: 00m 47s)

debt moved this task from In progress to Done on the Maps-Sprint board.Oct 11 2017, 1:32 PM

mapframe has now been enabled on eswiki, thanks for the help @Gehel!

Jayprakash12345 closed this task as Resolved.Oct 11 2017, 1:43 PM
debt added a comment.Oct 11 2017, 1:58 PM

I've also updated the conversation:

Hola! As requested in ticket (T177695), mapframe has now been enabled on this Wikipedia. For more information on how to use mapframe, please read: https://www.mediawiki.org/wiki/Maps/how_to:_embedded_maps and more information about the overall Maps project can be found here: https://www.mediawiki.org/wiki/Maps. If critical issues arise, please file a ticket here: https://phabricator.wikimedia.org/tag/maps/. Cheers, DTankersley (WMF) (discusión) 13:57 11 oct 2017 (UTC)

Thank you very much! Just one question. Do you know why it doesn't work on user space?

I am asking because the sandboxes are subpages of the main user pages: https://es.wikipedia.org/wiki/Usuario:Lsanabria/Taller

debt added a comment.Oct 11 2017, 3:04 PM

Hi @Lsanabria it looks like there is a small typo in your mapframe code. I tried to edit it but I haven't been able to publish the change successfully (not sure why).

Please update this line:

"type": "FeatureCollection",
"features": [

with this line

"type": "FeatureCollection", "features": [

so that it's all together—as there might be a hidden character in there somewhere. I was able to preview the change and it looks like this:

Sorry! You are right. Thank you a lot for checking! It is really appreciated.

debt added a comment.Oct 11 2017, 3:26 PM

Sorry! You are right. Thank you a lot for checking! It is really appreciated.

Not a problem—happy mapping! :)

Change 391138 had a related patch set uploaded (by Bearloga; owner: Bearloga):
[wikimedia/discovery/golden@master] Add Spanish Wikipedia to list of wikis that have mapframe enabled

https://gerrit.wikimedia.org/r/391138

Restricted Application added a project: User-Jayprakash12345. · View Herald TranscriptNov 13 2017, 11:35 PM

Change 391138 merged by Bearloga:
[wikimedia/discovery/golden@master] Add Spanish Wikipedia to list of wikis that have mapframe enabled

https://gerrit.wikimedia.org/r/391138